Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class DefinitionKind

    java.lang.Object
      |
      +--org.omg.CORBA.DefinitionKind

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class DefinitionKind
extends java.lang.Object
implements IDLEntity

A DefinitionKind identifies the type of an IR object.

See Also:
  Serialized Form

Field Summary
`static int` | `_dk_AbstractInterface` Enum member dk_AbstractInterface value
`static int` | `_dk_Alias` Enum member dk_Alias value
`static int` | `_dk_all` Enum member dk_all value
`static int` | `_dk_Array` Enum member dk_Array value
`static int` | `_dk_Attribute` Enum member dk_Attribute value
`static int` | `_dk_Constant` Enum member dk_Constant value
`static int` | `_dk_Enum` Enum member dk_Enum value
`static int` | `_dk_Exception` Enum member dk_Exception value
`static int` | `_dk_Fixed` Enum member dk_Fixed value
`static int` | `_dk_Interface` Enum member dk_Interface value
`static int` | `_dk_LocalInterface` Enum member dk_LocalInterface value
`static int` | `_dk_Module` Enum member dk_Module value
`static int` | `_dk_Native` Enum member dk_Native value
`static int` | `_dk_none` Enum member dk_none value
`static int` | `_dk_Operation` Enum member dk_Operation value
`static int` | `_dk_Primitive` Enum member dk_Primitive value
`static int` | `_dk_Repository` Enum member dk_Repository value
`static int` | `_dk_Sequence` Enum member dk_Sequence value
`static int` | `_dk_String` Enum member dk_String value
`static int` | `_dk_Struct` Enum member dk_Struct value
`static int` | `_dk_Typedef` Enum member dk_Typedef value
`static int` | `_dk_Union` Enum member dk_Union value
`static int` | `_dk_Value` Enum member dk_Value value
`static int` | `_dk_ValueBox` Enum member dk_ValueBox value
`static int` | `_dk_ValueMember` Enum member dk_ValueMember value
`static int` | `_dk_Wstring` Enum member dk_Wstring value
`static DefinitionKind` | `dk_AbstractInterface` Enum member dk_AbstractInterface
`static DefinitionKind` | `dk_Alias` Enum member dk_Alias
`static DefinitionKind` | `dk_all` Enum member dk_all
`static DefinitionKind` | `dk_Array` Enum member dk_Array
`static DefinitionKind` | `dk_Attribute` Enum member dk_Attribute
`static DefinitionKind` | `dk_Constant` Enum member dk_Constant
`static DefinitionKind` | `dk_Enum` Enum member dk_Enum
`static DefinitionKind` | `dk_Exception` Enum member dk_Exception
`static DefinitionKind` | `dk_Fixed` Enum member dk_Fixed
`static DefinitionKind` | `dk_Interface` Enum member dk_Interface
`static DefinitionKind` | `dk_LocalInterface` Enum member dk_LocalInterface
`static DefinitionKind` | `dk_Module` Enum member dk_Module
`static DefinitionKind` | `dk_Native` Enum member dk_Native
`static DefinitionKind` | `dk_none` Enum member dk_none
`static DefinitionKind` | `dk_Operation` Enum member dk_Operation
`static DefinitionKind` | `dk_Primitive` Enum member dk_Primitive
`static DefinitionKind` | `dk_Repository` Enum member dk_Repository
`static DefinitionKind` | `dk_Sequence` Enum member dk_Sequence
`static DefinitionKind` | `dk_String` Enum member dk_String
`static DefinitionKind` | `dk_Struct` Enum member dk_Struct
`static DefinitionKind` | `dk_Typedef` Enum member dk_Typedef
`static DefinitionKind` | `dk_Union` Enum member dk_Union
`static DefinitionKind` | `dk_Value` Enum member dk_Value
`static DefinitionKind` | `dk_ValueBox` Enum member dk_ValueBox
`static DefinitionKind` | `dk_ValueMember` Enum member dk_ValueMember
`static DefinitionKind` | `dk_Wstring` Enum member dk_Wstring

Method Summary
`static DefinitionKind` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _dk_none

    public static final int _dk_none

  Enum member dk_none value

### dk_none

    public static final DefinitionKind dk_none

  Enum member dk_none

### _dk_all

    public static final int _dk_all

  Enum member dk_all value

### dk_all

    public static final DefinitionKind dk_all

  Enum member dk_all

### _dk_Attribute

    public static final int _dk_Attribute

  Enum member dk_Attribute value

### dk_Attribute

    public static final DefinitionKind dk_Attribute

  Enum member dk_Attribute

### _dk_Constant

    public static final int _dk_Constant

  Enum member dk_Constant value

### dk_Constant

    public static final DefinitionKind dk_Constant

  Enum member dk_Constant

### _dk_Exception

    public static final int _dk_Exception

  Enum member dk_Exception value

### dk_Exception

    public static final DefinitionKind dk_Exception

  Enum member dk_Exception

### _dk_Interface

    public static final int _dk_Interface

  Enum member dk_Interface value

### dk_Interface

    public static final DefinitionKind dk_Interface

  Enum member dk_Interface

### _dk_Module

    public static final int _dk_Module

  Enum member dk_Module value

### dk_Module

    public static final DefinitionKind dk_Module

  Enum member dk_Module

### _dk_Operation

    public static final int _dk_Operation

  Enum member dk_Operation value

### dk_Operation

    public static final DefinitionKind dk_Operation

  Enum member dk_Operation

### _dk_Typedef

    public static final int _dk_Typedef

  Enum member dk_Typedef value

### dk_Typedef

    public static final DefinitionKind dk_Typedef

  Enum member dk_Typedef

### _dk_Alias

    public static final int _dk_Alias

  Enum member dk_Alias value

### dk_Alias

    public static final DefinitionKind dk_Alias

  Enum member dk_Alias

### _dk_Struct

    public static final int _dk_Struct

  Enum member dk_Struct value

### dk_Struct

    public static final DefinitionKind dk_Struct

  Enum member dk_Struct

### _dk_Union

    public static final int _dk_Union

  Enum member dk_Union value

### dk_Union

    public static final DefinitionKind dk_Union

  Enum member dk_Union

### _dk_Enum

    public static final int _dk_Enum

  Enum member dk_Enum value

### dk_Enum

    public static final DefinitionKind dk_Enum

  Enum member dk_Enum

### _dk_Primitive

    public static final int _dk_Primitive

  Enum member dk_Primitive value

### dk_Primitive

    public static final DefinitionKind dk_Primitive

  Enum member dk_Primitive

### _dk_String

    public static final int _dk_String

  Enum member dk_String value

### dk_String

    public static final DefinitionKind dk_String

  Enum member dk_String

### _dk_Sequence

    public static final int _dk_Sequence

  Enum member dk_Sequence value

### dk_Sequence

    public static final DefinitionKind dk_Sequence

  Enum member dk_Sequence

### _dk_Array

    public static final int _dk_Array

  Enum member dk_Array value

### dk_Array

    public static final DefinitionKind dk_Array

  Enum member dk_Array

### _dk_Repository

    public static final int _dk_Repository

  Enum member dk_Repository value

### dk_Repository

    public static final DefinitionKind dk_Repository

  Enum member dk_Repository

### _dk_Wstring

    public static final int _dk_Wstring

  Enum member dk_Wstring value

### dk_Wstring

    public static final DefinitionKind dk_Wstring

  Enum member dk_Wstring

### _dk_Fixed

    public static final int _dk_Fixed

  Enum member dk_Fixed value

### dk_Fixed

    public static final DefinitionKind dk_Fixed

  Enum member dk_Fixed

### _dk_Value

    public static final int _dk_Value

  Enum member dk_Value value

### dk_Value

    public static final DefinitionKind dk_Value

  Enum member dk_Value

### _dk_ValueBox

    public static final int _dk_ValueBox

  Enum member dk_ValueBox value

### dk_ValueBox

    public static final DefinitionKind dk_ValueBox

  Enum member dk_ValueBox

### _dk_ValueMember

    public static final int _dk_ValueMember

  Enum member dk_ValueMember value

### dk_ValueMember

    public static final DefinitionKind dk_ValueMember

  Enum member dk_ValueMember

### _dk_Native

    public static final int _dk_Native

  Enum member dk_Native value

### dk_Native

    public static final DefinitionKind dk_Native

  Enum member dk_Native

### _dk_AbstractInterface

    public static final int _dk_AbstractInterface

  Enum member dk_AbstractInterface value

### dk_AbstractInterface

    public static final DefinitionKind dk_AbstractInterface

  Enum member dk_AbstractInterface

### _dk_LocalInterface

    public static final int _dk_LocalInterface

  Enum member dk_LocalInterface value

### dk_LocalInterface

    public static final DefinitionKind dk_LocalInterface

  Enum member dk_LocalInterface

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static DefinitionKind from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD